PlayIt Manager

User guide
Version 1.20
https://www.playitsoftware.com/Support


Getting Started

PlayIt Manager is a browser based server application enabling the remote management and data synchronisation of PlayIt Live data.
This section includes details on installing, activating, upgrading and uninstalling PlayIt Manager.

The contents of Getting Started

Installation
Activation
Upgrading versions
Uninstallation
Configure PlayIt Manager Server


Installation

To install PlayIt Manager, download the latest version from http://www.playitsoftware.com/Products/Manager.
Once the download is complete, run the downloaded .exe file.
You will first be presented with the software licence agreement. Once you have read and agree to these terms, click I Agree.
Choose the components to install. Here you can select whether to install Start Menu and Desktop shortcuts. Click Next to continue.
Next, choose the location to install the software. By default, this is in Program Files, but can be changed to your preference. Click Install to begin installation.
Tick Start PlayIt Manager to launch PlayIt Manager when you click finish. If PlayIt Manager does not launch type PlayIt Manager from the Start Menu.
On first run, PlayIt Manager will require elevated privileges (i.e. Administrator mode) in order to manage the HTTP configuration for the application. For advanced users, the scripts it will run are:
netsh http add urlacl url=http://localhost:25432/
netsh http add urlacl url=http://+:25432/
The window will look like this:
Click Yes to continue.
PlayIt Manager will start up and launch a browser window to start using PlayIt Manager. When PlayIt Manager is running it can be found in the Notification Area (System Tray). Double click the icon to show the Configure PlayIt Manager window. Here you can configure advanced settings and enable external access.
The next required step is Activation.


Activation

The first time you run PlayIt Manager you will be prompted to activate the software.
The simplest way to activate the software is to activate online by logging in to your PlayIt Software account. Alternatively you can activate offline if your PlayIt Manager server machine is not connected to the internet.

The contents of Activation

Activating Online
Activating Offline
Renewing Licence


Activating Online

Activating online is the simplest way to start using PlayIt Manager.
From the Settings > Licence page, click the Log in to your PlayIt Software account button.
You will be prompted to enter your PlayIt Software account username and password. If you do not have an account, click Create an account and a new window will open for you to create an account. Return to the log in window once you have created an account.
Click the Log In button to get your PlayIt Manager licence. The window will close and the licence information will be populated after a short period of time.
You are now ready to use PlayIt Manager. Click Get started with PlayIt Manager to start.
PlayIt Manager will attempt to automatically keep your licence up to date based on your PlayIt Manager subscription.


Activating Offline

If the computer on which you have installed PlayIt Manager is not connected to the internet is it possible to activate offline.
From the Settings > Licence page, click the Server not connected to the Internet? link.
A new section will be displayed with instructions to activate offline. Follow these instructions to generate a licence for PlayIt Manager.
Once you have generated a licence from the PlayIt Software website, paste the licence text in the box and click Apply. Alternatively, if you have downloaded the licence file from the website, click the box to select the licence file and then click the Apply Licence File button.
The page will be updated with the licence information populated.
You are now ready to use PlayIt Manager. Click Get started with PlayIt Manager to start.


Renewing Licence

When a licence has expired, synchronising with PlayIt Live instances will cease to function until a new valid licence has been applied. With an active subscription you can apply a licence with the previous activation steps.


Upgrading versions

New versions of PlayIt Manager are regularly available from http://www.playitsoftware.com . It is important to back up your data before you install any new versions. Data and logs for PlayIt Manager are stored in the Windows 'ProgramData' folder.
C:\ProgramData\PlayIt Manager
To back up your data, simply copy this folder to an alternative location, such as an external hard drive.
When a new version is installed, or an old version is uninstalled, the data in the location above will not be removed.
NOTE: If you receive an error saying "Error opening file for writing" when installing, ensure you have stopped PlayIt Manager.


Uninstallation

When installed, PlayIt Manager will include an Uninstall shortcut in the Start Menu.
If you chose not to add Start Menu shortcuts, the Uninstaller can be found at (by default):
C:\Program Files (x86)\PlayIt Manager\uninstall.exe or
C:\Program Files\PlayIt Manager\uninstall.exe
Please ensure you have stopped PlayIt Manager before attempting to uninstall.
Double click the icon to start the uninstall process.
Tick the checkbox to Delete application database and settings if you no longer wish to use PlayIt Manager in future. Click Next.
Click Uninstall to remove PlayIt Manager.


Configure PlayIt Manager Server

Double-click the PlayIt Manager icon in the notification area (system tray) to show the Configure PlayIt Manager Server window. Here you can stop and start the server if necessary or access the Advanced or External Access sections.

The contents of Configure PlayIt Manager Server

Advanced Settings
Setting Up External Access


Advanced Settings

If you find these settings are disabled, you must first Stop the server by clicking the Stop Server button in the top section.
Note: Ensure you have licensed PlayIt Manager via the web interface. This is required to download a hostname for the Hostname registration section.

Server port

1. Server port
This is the port used by the remote access server. By default, this is 25432. This should not need to be changed unless you desire a specific port number.
Top

Use HTTPS

2. Use HTTPS
With HTTPS, data between you and the connecting user will be encrypted. Without it, a "Not Secure" message will be shown on the web browser. Due to browser restrictions, HTTPS is required to use remote voice tracking in the web browser.
Technical information:
When HTTPS is enabled, an SSL certificate for the registered hostname (see below) will be generated for you by PlayIt Software and installed on your machine. A self-signed certificate will also be generated for 'localhost' to be used on the local computer.
Top

Hostname

This is the hostname that will be used to allow other users to access your remote access server with a static (and potentially memorable) address. Leave the hostname and access code boxes blank before starting the server to use a random address. You can register your own custom address using the link. Once you have registered the hostname on that page, enter the hostname and access code that is provided to you into the corresponding boxes in this section.
Note: Custom hostnames are only available to customers who have an active premium module subscription or lifetime purchase.
Top

IP address

4. IP address
This section shows the external IP address that has been detected. This address will be used to automatically map your hostname with your IP address. If your IP address changes, your hostname will remain the same. If you wish to override the detected IP address (if we have detected it incorrectly), click the Override button, enter the IP address and click Save.
Top

Status

This section shows the status of the SSL certificate registration and IP address publishing. Typically SSL certificate registration and IP address (DNS) registration takes around 10 minutes after starting the server.
Top


Setting Up External Access

Setting Up External Access
The "Help me set up external access" section provides some assistance to allow others outside your network to access your computer.
Typically, this requires creating a firewall rule to allow connections to the remote access server port. Click the Create rule button to automatically add this to the Windows Defender firewall. If you are using another firewall other Window Defender, e.g. McAfee, please refer to its documentation to allow connections through the server port.
For home or small office networks, you will need to set up port forwarding rules on your network router to route incoming traffic on the remote access server port to your PlayIt Manager computer. The TCP port you need to forward, along with the name of your computer and its internal IP address are shown on this window. As each router is different it is not possible to give specific instructions. We recommend referring to PortForward.com who provide instructions for many brands of router.
For corporate or school networks, please speak with your IT administrator.
Once you have set up your system correctly for external access the window should look something like this:


Overview

PlayIt Manager is a browser based server application enabling the remote management and data synchronisation of PlayIt Live data. It is possible to manage Track and Track Group data as well as schedule data such as Clocks and Playout Log for synchronisation with PlayIt Live.
The software is designed to run as a separate application storing a single source of data. PlayIt Live instances on different computers can connect to PlayIt Manager via a URL (Uniform Resource Locator) and receive updates from the server. The URL to use is the base URL found in the address bar when using PlayIt Manager from a browser, such as http://server:25432/. PlayIt Live 1.11 is required in order to synchronise all types of data with PlayIt Manager. For more information, see the Connect PlayIt Live page on PlayIt Manager.
The PlayIt Manager server application has been tested on Windows 10 but should work on Windows 7 SP1, Windows 8.1 and Windows 11.
PlayIt Manager in the browser is supported with the latest versions of modern browsers, such as Microsoft Edge, Mozilla Firefox, Google Chrome and Apple Safari.

The contents of Overview

Common Page Elements


Common Page Elements

Common Page Elements

Menu

Navigate to different sections of PlayIt Manager:
Tracks: Manage tracks
Track Groups: Manage track groups
Multiple Artist Splits: Manage multiple artist aplits
Related Arists: Manage related artists
Playout Policies: Manage playout policies
Playout Pattern: Manage the playout pattern
Clocks: Manage clocks
Playout Log: Manage the playout log
Advert Campaigns: Manage advert campaigns
Advert Log: Manage advert log
Users: Manage users
Connect PlayIt Live: Information on how to connect PlayIt Live to PlayIt Manager
Settings: Configure PlayIt Manager, including track path substitutions
Top

Log out button

2. Log out button
Log out the current user to allow another user to log in. This button is not shown if login is not required.
Top

Breadcrumbs

Provides a trail of links to previous pages navigated to get to the current page.
Top


Track Management

Tracks are references to audio files that can be uploaded to PlayIt Manager. When synchronised to PlayIt Live they appear on the Track List on the right hand side of the interface and are used for playing audio content.

The contents of Track Management

Listing Tracks
Adding New Tracks
Editing Tracks


Listing Tracks

Track Group Filter

1. Track Group Filter
Filter the track list by track group.
Top

Search

Filter the track list to the artist or title entered into the text box.
Top

Add New Tracks button

3. Add New Tracks button
Add new tracks to PlayIt Manager by uploading audio files.
Top

Export to CSV button

4. Export to CSV button
Export the current track list view to CSV for printing or review.
Top

Track list

5. Track list
Lists tracks added to PlayIt Manager. It shows the Artist and Title of the track with the following action buttons:
- Drop down a list of all available options
- Edit the track
- Delete the track. A confirmation window will be shown.
Top


Adding New Tracks

Adding New Tracks
Tracks can be uploaded to PlayIt Manager from this page. When tracks finish uploading they are stored in the AudioStore folder within the PlayIt Manager ProgramData folder. By default this is: C:\ProgramData\PlayIt Manager\AudioStore\

Drag and drop box

1. Drag and drop box
Drop and drop files into this box to add them to the queue list to upload to PlayIt Manager. Alternatively, click in this box to select the audio files to upload.
Top

Upload queue

2. Upload queue
Lists the files that are ready to upload. Click the [image] icon to remove the file from the list.
Top

Number of files to upload

3. Number of files to upload
Displays the number of files that have been added to upload list.
Top

Analyse tracks

4. Analyse tracks
Check this box to analyse tracks for silence and set cue in and cue out points automatically
Top

Clear list link

5. Clear list link
Clears all the files from the list to start again.
Top

Total size of files to upload

6. Total size of files to upload
Displays the total size of all the files to upload.
Top
Progress is displayed while files are uploading. Click the Stop button to stop uploading any more files.

Upload button

7. Upload button
Starts uploading all the files that been added to the upload list. Progress will be shown as the files are uploading.
Top


Editing Tracks

Track properties can be edited from the Edit page.

Customise View

1. Customise View
Filter the fields that are visible on this page to only the fields you are interested in editing.
Top

Server Path

2. Server Path
The path of the track audio file on the PlayIt Manager server machine.
Top

Client Path

3. Client Path
The path of the track audio file from the PlayIt Live client perspective. The client path is created by applying track path substitutions on the server path.
Top

Artist

The artist of the track. This is displayed on the track list and players on PlayIt Live.
Top

Title

The title of the track. This is displayed on the track list and players on PlayIt Live.
Top

Type

The type is used to describe the track. By default, 'Inferred' is selected which determines the type based on artist, title, tags and duration.
The following rules are used to determine the track type when 'Inferred' is selected:
If Tags contains one of the track types, that track type is inferred.
Otherwise, if the Artist or Title equals one of the track types, that track type is inferred.
Otherwise, if the Duration is less than 30 seconds, Station ID is inferred.
Otherwise, Song is inferred.
Top

Out Cue

7. Out Cue
The style of the outro of the track. Used to indicate to operators how the track will end.
Top

Album

The album the track belongs to.
Top

Genre

The type of music the track represents. Can be used in track group filters.
Top

Year

The year the track was released. Can be used in track group filters.
Top

Tags

Keywords or terms used to describe the track. Can be used in track group filters.
Top

Comments

A free-text field used as a description of the track. This text is displayed on the main playout log when an item is expanded on PlayIt Live.
Top

Sweeper?

Whether the track is a sweeper. A sweeper is a track that can be played over the start of the intro of another song. It is typical dry (no background music) so it does not clash with the track it is playing over.
Top

No Fade?

14. No Fade?
Tracks marked with No Fade will not be faded when the Cue Out point of the track is reached. This is typically used if the track is already fading.
Top

Disabled

Disabled tracks will not be considered by the scheduler when scheduling track group items.
Top

Valid From

16. Valid From
This track will not be considered by the scheduler when scheduling track group items if the scheduling time is before the Valid From date.
Top

Expires

This track will not be considered by the scheduler when scheduling track group items if the scheduling time is after midnight on the Expires date.
Top

ISRC

The ISRC (International Standard Recording Code) of the track used for reporting.
Top

Record label

19. Record label
The record label of the track used for reporting.
Top

Adjust tempo

20. Adjust tempo
This is the amount by which the tempo of the track will be increased or decreased when the track is played in a player in PlayIt Live. While the tempo is changed, the pitch of the track is preserved.
Top

Gain

This is the gain applied to the player in PlayIt Live when this track is loaded. This can be set automatically using the Loudness Analysis feature.
Top

Dayparting

You can define at what times of the week the track can play. This is useful if you want to prevent a track from being played at the weekend, for example. The Dayparting feature requires a licence with the Advanced Scheduling module.
To select assign an hour click the cell and enter Y or N for Yes or No.
Top

Track Groups

23. Track Groups
Assign the track to track groups directly from this section. Click the Add Track Group button to add the track to a Listed Track Group or click the icon to remove it.
Top

Player cue points

24. Player cue points
Use these buttons to set the relevant cue points. Use the Set button to set the point and the Test button to start playing from the position of the point. Click the x to reset the position to the default.
Cue points can also be tweaked using the keyboard. Click on the cue point of interest, and press Left Arrow and Right Arrows to adjust the cue point by 0.01. Press SHIFT+Left Arrow and SHIFT+Right Arrow to adjust the cue point by larger jumps of 0.1. Cue points can also be adjusted by clicking and dragging the mouse over the cue point position value. The set cue point can be quickly tested by pressing Enter and double-clicking the cue point value. Press the Spacebar to stop playback.
Top

Player waveform

25. Player waveform
Displays the track audio as a waveform. Click anywhere in the waveform to play from that point.
Top

Player controls

26. Player controls
Use these buttons to play, stop and analyse the track in the embedded player. Use the Analyse button to automatically find the Cue In and Out points based on silence at the start and end of the track.
Top

Track operations

27. Track operations
Use the Save button to save the track to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the track from the database - a confirmation box will be shown.
Top


Track Group Management

As the name suggests, Track Groups group tracks based on certain criteria. There are three different types of track group: Listed, Filtered and Grouped.
Listed: Manually group tracks by selecting them from a list.
Filtered: Group tracks based on properties on tracks, such as artist, title, genre or year.
Grouped: Combine multiple tracks groups into another track group.

The contents of Track Group Management

Listing Track Groups
Listed Track Groups
Filtered Track Groups
Grouped Track Groups
Move Tracks Between Listed Track Groups


Listing Track Groups

Listing Track Groups

Search

Filter track groups to the name entered in the text box.
Top

Add New Track Group button

2. Add New Track Group button
Add a new track group to PlayIt Manager. A popup will be displayed to choose the type of track group:
Top

Move Tracks button

3. Move Tracks button
Move tracks between listed track groups.
Top

Track group list

4. Track group list
Lists tracks added to PlayIt Manager. It shows the Name of track group, the Type of the track group and the number of tracks in the track group. The following action buttons are available:
- Drop down a list of all available options
- Edit the track group
- Delete the track group. A confirmation window will be shown.
Top


Listed Track Groups

Listed Track Groups
Listed Track Groups are used to group manually chosen tracks together. This is useful if you have simple categories of tracks you wish to group together.

Track Group Name

1. Track Group Name
The name of the track group. This is shown in the dropdown box in PlayIt Live to filter by track group.
Top

Track group tracks

2. Track group tracks
Shows the list of tracks chosen for this track group. Use the [image] icon to remove a track from the track group.
Top

Add More Tracks button

3. Add More Tracks button
Use this button to add more tracks to this track group. This will show a popup to choose more tracks. Simply select the tracks with the checkboxes and click Add Selected Tracks.
Top

Hide track group

4. Hide track group
Check this box to hide the track group from the track group selector on the PlayIt Live main window.
Top

Colour

Tick the Colour box to show a colour for any tracks in this track group when they are shown on the playout log on the main interface on PlayIt Live. Click in the colour dropdown to change the colour.
Top

Icon

Tick the Icon box to show an icon for any tracks in this track group when they are shown on the playout log on the main interface. Click in the icon dropdown to change the icon.
Top

Priority

The priority is used to determine which track group is used when displaying a track on the playout log on the main interface on PlayIt Live that appears in multiple track groups. The track group with the highest priority will be used when displaying the colour or icon.
Top

Track group operations

8. Track group operations
Use the Save button to save the track group to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the track group from the database - a confirmation box will be shown.
Top


Filtered Track Groups

Filtered Track Groups
Filtered Track Groups are used to filter tracks by specific properties of the track. In the example above, we can filter the tracks for ones that have an entered year of 2010.

Track Group Name

1. Track Group Name
The name of the track group. This is shown in the dropdown box in PlayIt Live to filter by track group.
Top

Filter Query

2. Filter Query
The filter query to be used to filter to the appropriate set of tracks.
In this example, Year is a field, = is an operation and 2010 is a value. Simple queries are made up of these three components. Queries can be combined with AND and OR logic to create more complex queries. For example:
(Year = 2010) AND (Artist = "The Killers")
would filter tracks by The Killers that were released in the year 2010. Text values with a space should be surrounded by double quotes (").
Fields that can be used are:
Artist - The artist of the track
Title - The title of the track
Path - The server file path of the track
Intro - The intro of the track in seconds
ActiveDuration - The active duration of the track in seconds. The active duration is the total duration of the track minus the cue in and out points. Note: ActiveDuration does not have a space.
Genre - The genre of the track
Year - The year of the track
The following operations can be used and the fields they can be used with:
Operation | Description | Artist | Title | Path | Intro | ActiveDuration | Genre | Year
= | Equals |  |  |  |  |  |  |
!= | Does not equal |  |  |  |  |  |  |
< | Less than |  |  |  |  |  |  |
<= | Less than or equals |  |  |  |  |  |  |
> | Greater than |  |  |  |  |  |  |
>= | Greater than or equals |  |  |  |  |  |  |
CONTAINS | Contains |  |  |  |  |  |  |
DOES NOT CONTAIN | Does not contain |  |  |  |  |  |  |
STARTS WITH | Starts with |  |  |  |  |  |  |
ENDS WITH | Ends with |  |  |  |  |  |  |
Top

Hide track group

3. Hide track group
Check this box to hide the track group from the track group selector on the PlayIt Live main window.
Top

Colour, Icon and Priority

4. Colour, Icon and Priority
See Listed Track Groups .
Top

Track group operations

5. Track group operations
Use the Save button to save the track group to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the track group from the database - a confirmation box will be shown.
Top


Grouped Track Groups

Grouped Track Groups
Grouped Track Groups are used to combine multiple track groups together.

Track Group Name

1. Track Group Name
The name of the track group. This is shown in the dropdown box in PlayIt Live to filter by track group.
Top

Invert group list

2. Invert group list
Check this box to exclude the selected track groups from this track group
Top

Track group group list

3. Track group group list
Shows the list of track groups in this track group. Tick the check box beside the track groups you wish to include.
Top

Hide track group

4. Hide track group
Check this box to hide the track group from the track group selector on the PlayIt Live main window.
Top

Colour, Icon and Priority

5. Colour, Icon and Priority
See Listed Track Groups .
Top

Track group operations

6. Track group operations
Use the Save button to save the track group to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the track group from the database - a confirmation box will be shown.
Top


Move Tracks Between Listed Track Groups

Move Tracks Between Listed Track Groups
The Move Tracks page to used to easy move tracks between listed track groups. This operation can only be done with listed track groups. This is commonly done if you are regularly moving tracks between sets of playlists, for example.

Track group A

1. Track group A
Use the dropdown to select a listed track group to move tracks between. The list of tracks in that track group will be displayed.
Top

Track group B

2. Track group B
Use the dropdown to select a second listed track group to move tracks between. The list of tracks in that track group will be displayed.
Top

Move track group

3. Move track group
Drop and drop tracks from one list to the other with the mouse.
Top

Operation buttons

4. Operation buttons
Click Apply Changes to save both track groups with the new set of tracks. Click Cancel to discard any changes.
Top


Multiple Artist Split Management

Multiple Artist Splits are used to define text that is used separate multiple artists that might appear in the Artist field of a track.
For example, an artist of a track might be Take That feat. Lulu. By using a Split with the text feat. this will separate Take That and Lulu as separate artists.
When scheduling against Playout Policies, PlayIt Manager can prevent tracks from Take That or Lulu being played too close to Take That feat. Lulu.

The contents of Multiple Artist Split Management

Listing Multiple Artist Splits
Editing Multiple Artist Splits


Listing Multiple Artist Splits

Listing Multiple Artist Splits
Use the search box to filter multiple artist splits by Split Text.
Click the Add New Multiple Artist Split button to create a new multiple artist split.
On each item in the list:
- Use the drop down for a list of all available options
- Use the pencil icon to edit the multiple artist split
- Use the X icon to delete the multiple artist split. A confirmation window will be shown.


Editing Multiple Artist Splits

Editing Multiple Artist Splits

Split Text

1. Split Text
The text used to separate a Track Artist into multiple artists. Please note that you should include spaces either side of the text if you intend to split by a word. For example, with on its ownn could match George Michael with Elton John but also Bill Withers.
Top

Matched Artists

2. Matched Artists
This table shows all the artists that are matched given the entered split text. Here you can see if the split text is achieve the desired outcome.
Top

Disabled

Use this checkbox to disable this Multiple Artist Split so it is not considered by the scheduler.
Top


Related Artist Management

Related Artists are used to associate artists with each other so they are considered as the same artist when scheduling with playout policies. For example, you may not want a solo singer in a band to be played close a song by that band, e.g. Robbie Williams and Take That.

The contents of Related Artist Management

Listing Related Artists
Editing Related Artists


Listing Related Artists

Listing Related Artists
Use the search box to filter related artists by name.
Click the Add New Related Artist button to create a new pair of related artists.
On each item in the list:
- Use the drop down for a list of all available options
- Use the pencil icon to edit the related artist.
- Use the X icon to delete the related artist. A confirmation window will be shown.


Editing Related Artists

Editing Related Artists

Artist 1

1. Artist 1
The first artist in the Related Artist. It does not matter in which order artists are entered.
Top

Artist 2

2. Artist 2
The second artist in the Related Artist. It does not matter in which order artists are entered.
Top

Disabled

Use this checkbox to disable this Related Artist so it is not considered by the scheduler.
Top


Monitored Folders

Monitored Folders can watch the state of a folder (and optionally its sub-folders) for new, updated or deleted track files.
When a file is added to the folder, it will be added to the PlayIt Manager database if it is a valid track file. The track file can also be automatically analysed for cue points and added to a track group.
When a file is updated in the folder, it will be updated in the PlayIt Manager database, updating the duration, cue points and any file metadata contained within the file if desired.
When a file is deleted from the folder, it will be deleted from the PlayIt Manager database.
Monitored folders work by periodically scanning for changes in the folder. Folders with a large number of files or sub-folders will take longer to scan. For this reason, do not use C:\ as the folder to scan for changes to every file on your computer. This will likely never complete. Choose a folder where you know where audio files are.
Use Monitored Folders if you have dynamic content, e.g. news or weather, from a folder such as Dropbox. Create a Monitored Folder with a Path to the shared Dropbox folder to pick up changes from the Dropbox folder.

The contents of Monitored Folders

Listing Monitored Folders
Editing Monitored Folders


Listing Monitored Folders

Listing Monitored Folders
Use the search box to filter monitored folders by Path.
Click the Add New Monitored Folder button to create a new monitored folder.
On each item in the list:
- Use the drop down for a list of all available options
- Use the pencil icon to edit the monitored folder
- Use the X icon to delete the monitored folder. A confirmation window will be shown.


Editing Monitored Folders

Editing Monitored Folders

Path

The path to the folder you want to monitor. If the Include sub-folders checkbox is checked, sub-folders of the folder will also be scanned. Avoid folders with a large number of sub-folders as this will take a long time to scan.
Top

Analyse cue points

2. Analyse cue points
If checked, when a track file is added the cue points of the track will be analysed.
Top

Re-analyse cue points

3. Re-analyse cue points
If checked, when a track file is updated the cue points of the track will be re-analysed. Do not use this option if you manually set cue points as these will be overwritten.
Top

Update track fields

4. Update track fields
If checked, when a track file is updated the fields of the track will be updated from the file. Do not use this option if you manually change the track fields as these will be overwritten.
Top

Add new tracks to track group

5. Add new tracks to track group
If checked, new tracks will be added to the selected track group. Tracks will not be re-added to this track group if they are subsequently removed from the group.
Top

Disabled

If checked, the monitored folder will be disabled and will not be monitored.
Top


Playout Policy Management

Playout policies define a set of rules to ensure the correct tracks are played. Playout policies restrict artists and tracks from being repeated too often. They can be filtered by track group.
There are two type of playout policy, Track/Artist Separation Playout Policy and Daypart Separation Playout Policy
With Track/Artist Separation Playout Policy, it is possible to ensure that tracks in a track group of Songs are not repeated for at least 2 hours while ensuring tracks in a track group of Jingles are not repeated for only at last 10 minutes.
With Daypart Separation Playout Policy, it is possible to ensure that a track in the track group Songs is not repeated again in the same Daypart (e.g. Breakfast) for a period of days. This means regular listeners to the Breakfast show will not hear the same song repeated during the times when they regularly listen. Daypart Separation Playout Policies require the Advanced Scheduling module.

The contents of Playout Policy Management

Listing Playout Policies
Editing Track/Artist Separation Playout Policies
Editing Daypart Separation Playout Policies


Listing Playout Policies

Listing Playout Policies

Search

Filter playout policies to the name entered in the text box.
Top

Add New Playout Policy button

2. Add New Playout Policy button
Add a new playout policy to PlayIt Manager.
This popup will be shown to select the type of playout policy:
Top

Playout policy list

3. Playout policy list
Lists playout policies added to PlayIt Manager. It shows the Name of playout policy. The following action buttons are available:
- Drop down a list of all available options
- Edit the playout policy
- Delete the playout policy. A confirmation window will be shown.
Top


Editing Track/Artist Separation Playout Policies

Editing Track/Artist Separation Playout Policies

Playout policy name

1. Playout policy name
The name of the playout policy. This is used for your reference.
Top

Track separation

2. Track separation
The minimum amount of time to wait before playing a track again.
Top

Artist separation

3. Artist separation
The minimum amount of time to wait before playing a track by the same artist again.
Top

Title separation

4. Title separation
The minimum amount of time to wait before playing a track by the same title again.
What is the difference between track separation and title separation?
Track separation ensures that the same recording isn't played too frequently by recognising each track instance as unique.
Title separation deals with different songs that share the same title, such as Christmas songs. For example, multiple artists might have their own versions of "Silent Night". Bear in mind this will also separate completely different songs that happen to have the same title, such as 'Hello' by Adele and 'Hello' by Lionel Richie, or 'The Power of Love' by Jennifer Rush, 'The Power of Love' by Frankie Goes to Hollywood and 'The Power of Love' by Huey Lewis and the News.
Top

Apply to specific track groups checkbox

5. Apply to specific track groups checkbox
Check this checkbox to apply this playout policy to only tracks in the selected track groups below.
Top

Playout policy operations

6. Playout policy operations
Use the Save button to save the playout policy to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the playout policy from the database - a confirmation box will be shown.
Top


Editing Daypart Separation Playout Policies

Editing Daypart Separation Playout Policies

Playout policy name

1. Playout policy name
The name of the playout policy. This is used for your reference.
Top

Track separation

2. Track separation
The minimum amount of time to wait before playing a track again within the selected daypart.
Top

Daypart

The daypart for this policy. If no dayparts are shown, click the Manage Dayparts link to open a new tab to add a new daypart. Click the Refresh icon after adding a daypart to refresh the list.
Top

Apply to specific track groups checkbox

4. Apply to specific track groups checkbox
Check this checkbox to apply this playout policy to only tracks in the selected track groups below.
Top

Playout policy operations

5. Playout policy operations
Use the Save button to save the playout policy to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the playout policy from the database - a confirmation box will be shown.
Top


Playout Pattern Management

The playout pattern is the repeated pattern of track groups that are used as a basis for the playout log.

The contents of Playout Pattern Management

Editing Playout Pattern


Editing Playout Pattern

Editing Playout Pattern

Track Group list

1. Track Group list
Use the [image] buttons on this list to apply the selected track group to the end of the playout pattern. You can add the track group multiple times as desired.
Top

Playout Pattern list

2. Playout Pattern list
Use the [image] buttons on this list to remove track groups from the playout pattern.
Top

Playout pattern operations

3. Playout pattern operations
Use the Save button to save the playout pattern to the database.
Use the Revert button to revert the playout pattern to the last saved state.
Top


Clock Management

Clocks are hour templates used to define how an hour of playout content should sound. When a clock is scheduled, the playout log will generate items to schedule based on the clock item. The clock can have a number of clock item types:
Track: The playout log scheduler will always insert the selected track in this position in the playout log.
Track Group: The playout log scheduler will randomly choose a track from the selected track group to insert in this position in the playout log. When scheduling the playout log, any playout policies will be taken into account.
Fixed Time Marker: The playout log scheduler will insert a fixed time marker in this position in the playout log.
Break Note: The playout log scheduler will insert a break note to include in this position in the playout log.

The contents of Clock Management

Listing Clocks
Editing Clock
Scheduling Clocks
Editing Clock Schedule Item


Listing Clocks

Search

Filter clocks to the name entered in the text box.
Top

Add New Clock button

2. Add New Clock button
Add a new clock to PlayIt Manager.
Top

Schedule Clocks button

3. Schedule Clocks button
Opens the clock scheduler to schedule clocks to hours in the schedule to be used by the playout log.
Top

Clock list

4. Clock list
Lists clocks added to PlayIt Manager. It shows the Name of clock. The following action buttons are available:
- Drop down a list of all available options
- Edit the clock
- Clone the clock
- Delete the clock. A confirmation window will be shown.
Top


Editing Clock

Clocks are used as hour long templates to generate events in the playout log.

Clock Name

1. Clock Name
The name of the clock. This is for your reference.
Top

Clock Colour

2. Clock Colour
The colour of the clock as shown on the clock schedule page.
Top

Clock item list

3. Clock item list
The clock item list shows each of the event items that belong to the clock in order. There are four columns:
Play Time:
The approximate play time of a clock item is determine from the sum of the all the previous item durations. The duration of each item varies on the choice of settings - the duration of a track group item is determined from the average duration of all the tracks in the group. A fixed time marker will cause the play time to reset to the fixed time.
Type:
The clock item type. To change the clock item type, click the text and you will be presented with a dropdown. Choose from Track, Track Group, Fixed Time Marker, Voice Track or Break Note.
Settings:
The settings of the clock item. This is dependent on the type you have selected. Click the settings text to change the settings.
Track: Choose the fixed track that you wish to play:
Track Group: Choose the track group you wish to play. The PlayIt Manager scheduler will choose a track using the selected scheduling strategy and that adheres to the playout policies you have configured:
Strategy
Default from settings: Use the scheduling strategy as defined in Settings.
Smart Selection: Selects a track using a weighted random algorithm. A track played longer ago is given a larger weight, increasing its chance of being selected.
Random: Select a track entirely at random from the track group.
Most Rested: Selects the track from the track group that was played longest ago.
--
Fixed Time Marker: A fixed time marker ensures time keeping within the hour. If you want a particular event to happen at a certain time within the hour, please a fixed timer marker before that event. There are 3 types of fixed time markers:
Hard: The item immediately following this fixed time marker will start at the selected time. The preceded item will fade out and stop at this time.
Soft: The item immediately following this fixed time marker will start only once the preceding item has finished after the selected time.
Not Before: This type of fixed time marker ensures that items following the fixed time marker will not play until at least the selected time has passed.
Tolerance: Tracks that start within the tolerance time but cannot finish before the fixed time is reached with not be played. Tolerance can be used to prevent very long tracks from being played close to a fixed time marker and causing large overruns. With tolerance, it is possible for tracks after the fixed time marker to start early.
Break Note: A 'silent' track used to signify a block of time when something happens. This could be used to play commercial spots from the cart wall on PlayIt Live.
Voice Track: A voice recording track used to play between tracks in order to give the impression that the radio show is live. Voice tracks can be recorded via PlayIt Live.
Remote URL: A remote URL item is used to play a remote file or live stream in PlayIt Live.
A File URL typically refers to a static file located on a server which is downloaded by PlayIt Live when it is loaded into a player. Remote files are intended to be a fixed length duration and this must be provided in order to ensure the item is scheduled with the correct length (as this is not known until load time).
A Live Stream URL typically refers to an audio stream provided by a streaming media server such as Icecast or Shoutcast and could be an internet radio station or a remote DJ stream. PlayIt Live assumes the live stream will run forever so will attempt to restart the stream if the connection is dropped. PlayIt Live will play the live stream until the specified duration has elapsed. Live streams can also be stopped manually, or by using a hard fixed time marker.
Advert Block: An advert block is used to schedule a block of adverts in PlayIt Live. The Start Time indicates the corresponding block in the advert log to schedule the adverts. Duration indicates the maximum length of all the adverts in the advert block. Slots indicates the maximum number of adverts that will play in the advert block.
Hook Sequence: A hook sequence will play only the hooks of tracks back to back within a short clip. This allows you to promote songs that will be playing within the next hour or just songs from a specific track group.
Segue?
Signals if the scheduled item will segue into the next item.
Segue style
The segue style to use for the log item. See PlayIt Live documentation for how segue style is used.
Protected
When this checkbox is checked the scheduled playout log item will have the same protected status. In PlayIt Live, protected items will not be dropped by Fixed Time Markers or the Auto Adjust feature. Use this for items that must be played during an hour, for example, advert blocks.
Clone button
Clones the selected item to the next row. This is useful if you want to easily duplicate an item.
Delete button
Deletes the item row from the clock.
Use the [image] icon to reorder the clock items.
Top

Add Clock Item button

4. Add Clock Item button
Adds a blank clock item to the end of the clock.
Top

Clock operations

5. Clock operations
Use the Save button to save the clock to the database.
Use the Cancel button to discard all changes.
Use the Delete button to remove the clock from the database - a confirmation box will be shown.
Top


Scheduling Clocks

Clocks must be scheduled in the schedule grid to be considered by the playout log scheduler.

Date selector

1. Date selector
Select the date range you wish to schedule clocks for. Click Today to go to the week or day for today. Use the arrows advance weeks or days depending on the view. Click the calendar [image] icon to select a specific date range.
Top

View selector

2. View selector
Select how you wish to view the schedule. Choose Day if Week does not fit your screen.
Top

New schedule entry

3. New schedule entry
Double click an empty space in the schedule grid to create a new schedule entry.
Top

Existing schedule entry

4. Existing schedule entry
Double click an existing schedule entry in the schedule grid to edit it. Click the X to delete the schedule entry. The colour of the schedule item is determined by the colour set on the clock when editing clocks.
Top


Editing Clock Schedule Item

Editing Clock Schedule Item

Scheduled Clock

1. Scheduled Clock
The clock you wish to schedule in this time slot.
Top

Start date and time

2. Start date and time
The scheduled date and time of the clock schedule entry. The End time will automatically update, clocks are always scheduled for one hour.
Top

Repeat checkbox

3. Repeat checkbox
Check this box to repeat the schedule entry to more regular times in the future.
Top

Repeats dropdown

4. Repeats dropdown
Select how often the schedule entry should repeat. Options here are Daily, Weekly, Monthly, Yearly.
Top

Repeats every

5. Repeats every
Select how regularly the schedule entry should repeat. For example, if a clock repeats fortnightly choose Repeats Weekly every 2 weeks.
Top

Repeat days

6. Repeat days
If Weekly is selected, it is possible to select the days of the week the clock should repeat.
Top

Repeat hours

7. Repeat hours
If Daily is selected, it is possible to select the hours in the day the clock should repeat.
Top

Repeats until

8. Repeats until
Select the date and time the clock schedule entry should repeat until. Selecting Forever will repeat the clock schedule entry indefinitely. Selecting This Time will repeat the clock schedule entry until the selected time (inclusive).
Top

Operations

Use the Delete button to remove the clock schedule entry from the database - a confirmation box will be shown.
Use the Save Changes button to save the schedule entry to the database.
Use the Cancel button to discard all changes.
Top


Playout Log Management

The playout log indicates past and future events that are scheduled to take place from hour to hour. Based on the clocks that are scheduled via the Schedule Clocks page the playout log scheduler will generate playout log items matching the clock items. If a clock has not been scheduled for an hour, the playout pattern will be used to generate the playout log items.

The contents of Playout Log Management

Selecting Date Range
Editing Playout Log
Importing Playout Log


Selecting Date Range

Selecting Date Range
Select a date range to view the scheduled playout log for the selected range.

Start date and time

1. Start date and time
The start date and time to view. Use the -1h, +1h and Now buttons to easily adjust the start time or jump to the current hour.
Top

End date and time

2. End date and time
The end date and time to view. Use the -1h and +1h buttons to easily adjust the end time.
Top

Start Editing Log button

3. Start Editing Log button
To start editing the playout log click this button. The playout log below will enter editing mode where changes must be saved to be applied to the database. Date ranges cannot be changed while editing the log.
Top
Note: Selecting a large time range will take longer to schedule


Editing Playout Log

Editing Playout Log

Editing playout log notification

1. Editing playout log notification
This message is shown while you are editing the log.
This warning is shown if you are editing the current hour of the playout log. If you make changes in the current hour, this could be disruptive to the operator of PlayIt Live during a live broadcast.
Top

Import Button

2. Import Button
Import a playout log from a text file in an expected format. See Importing Playout Log.
Top

Export Button

3. Export Button
Export the currently displayed playout log items to file. A PlayIt Playout Log Format (pipl) file will be generated and downloaded to your Downloads folder. This file can then be imported into another time range.
Top

Schedule button

4. Schedule button
Schedules the playout log for the selected time range based on the scheduled clocks, playout pattern, and playout policies.
Top

Unschedule button

5. Unschedule button
Clears the playout log for the selected time range. Use this if you want to clear the log to reschedule the time range from scratch. Changes are not applied until the log is saved below.
Top

Playout log item list

6. Playout log item list
The playout log item list shows all the items scheduled for the selected time range. Use the [image] icon to reorder the playout log items. Items are grouped by the hour they belong.
Play Time: The scheduled time the item will play.
Hour Pos: The position the item is in the hour.
Type: The type of the playout log item. Possible options here are Track, Fixed Time Marker, Break Note, Voice Track, Remote URL, Aux Input and Advert Block. In editing mode, click the type text to change the type.
Settings: The settings of the playout log item. This is dependent on the type you have selected. In editing mode, click the settings text to change the settings. See clock item list settings for more information.
Segue?: Signals if the playout log item will segue into the next item.
Segue Style: The segue style to use for the log item. See PlayIt Live documentation for how segue style is used.
Protected: When this checkbox is checked the scheduled playout log item will have the same protected status. In PlayIt Live, protected items will not be dropped by Fixed Time Markers or the Auto Adjust feature. Use this for items that must be played during an hour, for example, advert blocks.
Clone button:
Clones the selected item to the next row. This is useful if you want to easily duplicate an item.
Delete button:
Deletes the item row from the playout log.
Top

Add Item button

7. Add Item button
Adds a blank playout log item to the end of the playout log time range. Use the [image] to move it to the desired position.
Top

Playout log operations

8. Playout log operations
Use the Save button to save the playout log to the database.
Use the Revert button to discard all changes and exit editing mode.
Top


Importing Playout Log

Importing Playout Log
To import a playout log from a text file in an expected format click the Import button on the Playout Log page while editing the playout log. Currently the import feature supports PlayIt's own Playout Log Format (pipl), M3U playlist format and SS32 (Scott Studios) format (deprecated).
For example playout log formats, see PlayIt Playout Log Format and M3U Playlist Format.
The SS32 (Scott Studios) format is deprecated and will be removed in a future update. Please contact support if you wish to learn more about this.
When a file is imported, the entire log for the date range will be cleared and replaced with the imported file. Click the Import button to import the file.

Import file

1. Import file
The file to import.
Top

Format

The format of the file to be imported.
Top

Base Audio Folder

3. Base Audio Folder
The base audio folder to be used by the importer. This is optional, and used with the M3U or SS32 format. The M3U or SS32 format can contain relative paths to files, so the base audio folder is used to create an absolute path to the file.
Top

Date Range

4. Date Range
The date range to import into. Any existing log entries for the selected date range will be cleared and replaced with the imported log.
Top

Import

Click the Import button to start the importing process.
If there is a problem a message will be shown. Ensure that the import file content duration matches the selected date range. The following message will be shown allowing you to fix the duration:
Top

Close

Close the popup without importing.
Top

The contents of Importing Playout Log

PlayIt Playout Log Format
M3U Playlist Format


PlayIt Playout Log Format

See PlayIt Playout Log Format specification dedicated website. This website contains the full specification for this format along with a validator to check your exported logs.


M3U Playlist Format

The M3U Playlist format is simply a list of audio files in a text file. To separate the playlist file into hours, a # Hour: comment can be used indicate which hour the track file belongs in. An example of an M3U Playlist file supported by PlayIt Manager is below:
# Hour: 00:00
G:\PlayIt User\Music\Jingles\Publicise Your Event ID.mp3
G:\PlayIt User\Music\Songs\Sam and the Womp - Bom Bom.mp3
G:\PlayIt User\Music\Songs\Fenech-Soler - All I Know.mp3
...
# Hour: 01:00
G:\PlayIt User\Music\Jingles\City Locations ID A.mp3
G:\PlayIt User\Music\Songs\Lianne La Havas - Is Your Love Big Enough.mp3
G:\PlayIt User\Music\Songs\Of Monsters and Men - Mountain Sound.mp3
G:\PlayIt User\Music\Jingles\Contact Studio On Text & Email ID.mp3
Special items, such as fixed time markers, can also be added via the M3U Playlist format. This can be done by adding a line as follows:
# Fixed Time Marker: Type=Hard; TargetTime=3m02s - Hard fixed time marker at 3 minutes 2 seconds past the hour
# Fixed Time Marker: Type=Soft; TargetTime=3m - Soft fixed time marker at 3 minutes past the hour
# Fixed Time Marker: Type=NotBefore; TargetTime=5s - Not Before fixed time marker at 5 seconds past the hour
# Break Note: Duration=1m1s; Notes="News on the hour" - Break note lasting 1 minute and 1 second with the notes News on the hour
# Voice Track Placeholder: Duration 1m - Voice track placeholder lasting 1 minute.
# URL: Duration=1m; Title="News"; URL="http://www.mywebsite.com/news.mp3"; Type=File - Example of a file URL
# URL: Duration=60m; Title="Simulcasted show"; URL="http://www.mywebsite.com/live"; Type=Live - Example of a live URL
# Aux Input: Duration=2m; Title="Sky News"; DeviceName="Microphone (USB Audio Codec)" - Aux input from the microphone device


Advert Scheduling

PLEASE NOTE:
Advert scheduling is a premium feature of PlayIt Manager and requires a valid Advanced Scheduling module applied to the PlayIt Manager licence to enable full functionality. Without a valid Advanced Scheduling module applied it is not possible to schedule the advert log or play advert blocks in PlayIt Live. To use advert scheduling in PlayIt Manager, purchase the Advanced Scheduling module and refresh your PlayIt Manager licence. You can try out the module by going to Settings > Licence and selecting to 'Enable the Advanced Scheduling module'.
Advert scheduling allows the scheduling of adverts (also called spots, commercials or traffic). This is accomplished by setting up Advert Campaigns with Adverts, then adding an Advert Block to the Playout Log and scheduling the Advert Log for that hour.
Advert Campaign
An advert campaign represents an advert sales order, a request from a customer to play a set of adverts a specified number of times, during certain times of the day for a period of time. Advert campaigns in the same category will never be scheduled in the same block.
Advert
An advert represents a cut of audio to play as part of an advert campaign. An Advert also stores at what times of the day the audio will play up to a maximum number of plays. Adverts feature a 'duration' field which is used to schedule the advert. This is best kept to a multiple of 5, e.g. 10, 15, 30 seconds, to ensure that adverts can be fitted into advert blocks of 1 minute, 2 minutes, etc.
Advert Block
An advert block is a sequence of adverts that are played together as part of the advert log.
Advert Log
The historical log and future log of the adverts that have played and will play.
Advert Block Item
An Advert Block item can be added to a Clock or the Playout Log in order to actually play out the adverts.
Adding an Advert Block item to the playout log instructs the playout engine to look up the adverts from the Advert Log for the specified hour and start time and load them into a player. Despite being multiple tracks, advert block items only take up one player - the same player is reused for each advert track.
Adding an Advert Block item to a clock will add the equivalent item to Playout Log for any hour the clock is scheduled into.

The contents of Advert Scheduling

Advert Campaigns
Advert Log


Advert Campaigns

The advert campaigns page lists the advert campaigns currently in the system. Click Add New Advert Campaign to create a new one, or click the pencil icon to edit an existing campaign.

The contents of Advert Campaigns

Editing Advert Campaigns
Editing Adverts


Editing Advert Campaigns

Editing Advert Campaigns

Name

The name of the campaign. This is displayed in the Campaign List.
Top

Company

The name of the company/customer.
Top

Date range

3. Date range
The range of dates between which the advert schedule will schedule this campaign. It is still possible to manually schedule the campaign outside these dates.
Top

Categories

The categories (semi-colon ; separated) for which the advert campaign belongs. Categories can be used to prevent adverts of the same kind being played in the same advert block. For example, you would not want two competing fast food restaurants to be played in the same advert block. Adverts in advert campaigns with the same category will never be played in the same advert block.
Top

Adverts

The adverts that belong to this campaign. An advert represents a cut of audio that can be played at specified times of the day or week up to a maximum number of plays for the campaign.
Top

Save / Cancel / Delete

6. Save / Cancel / Delete
Click Save to save changes and return to the list page. Click Cancel to discard any changes and return to the list page. Click Delete to delete the campaign.
Top


Editing Adverts

Advert audio

1. Advert audio
The audio cut to play for the advert. Choose from an existing track already added to PlayIt Manager or enter a path to the file on the server.
Top

Duration

This is the duration of the advert track. This is expressed in whole seconds and is used by the advert schedule to ensure an advert block does not over duration. This field is automatically populated when you choose a track or audio file. This duration is usually best kept at a multiple of 5 (e.g. 5, 10, 15, 30 seconds) in order to help the scheduler fit adverts into whole minutes, such as 1 minute, 2 minutes.
Top

Plays

The Plays section shows how many times the advert should be played on certain times of the day or week.
To change the number of plays for a day and hour, click the cell, type in the number of plays and press Enter.
To change every day for a specific hour, click the column heading, type in the number of plays and press Enter.
To change every hour for a specific day, click the row heading, type in the number of plays and press Enter.
Top

Max plays

4. Max plays
This is the maximum number of times the advert will play during the campaign dates.
Top

Save / Cancel

5. Save / Cancel
Click the Save button to save the changes. Click the Cancel button to discard the changes.
Top


Advert Log

Click Start Editing Log to being editing the Advert Log
Click Schedule to populate the Advert Log with adverts. If the advert log is not populated then ensure there are Advert Block items in the playout log for the hour you are trying to schedule.
Use the Add Item button to manually add an advert to a block in the advert log.
Click Save to persist the changes or Revert to discard the changes.


User Management

Users can be managed within PlayIt Manager to allow different people to log in and restrict them to certain permissions. For example, an administrator can log in and have the ability to manage all types of entities, such as tracks and clocks. Alternatively, a presenter can be restricted preventing them from editing clocks, etc.

The contents of User Management

Listing Users
Editing Users


Listing Users

Search

Filter users to the name entered in the text box.
Top

Add New User button

2. Add New User button
Add a new user
Top

User list

3. User list
Lists all users added to the system. It shows the Display Name and the Username of user. The following action buttons are available:
- Drop down a list of all available options
- Edit the user
- Delete the user. A confirmation window will be shown.
Top


Editing Users

Display name

1. Display name
The real name of the user. This is displayed on PlayIt Live on the main interface to display who is currently logged in.
Top

Username

The username used by the user to log in. This must be unique and cannot be used by any other user.
Top

Password

The password used by the user to log in. The password must be at least 6 characters long. If editing a user, you can leave this blank to keep the existing password.
Tick the User must change password at next login box to require the user to change the password to something they can remember.
Note that passwords are cryptographically hashed and stored in the database. The actual password is not stored, therefore cannot be retrieved if forgotten. Please take care not to lock yourself out of the system.
Top

Permissions

This section allows you to select what features the user is allowed to do. Ticking Is Admin? will allow the user to use any feature and perform any action. Where the user does not have permission to perform a particular action that section will be disabled or hidden on the user interface.
Top

Remote Voice Tracking and Remote Studio Hours

5. Remote Voice Tracking and Remote Studio Hours
Select hours here to give this user access to remotely voice track into the playout log at these hours.
Top

Playout Log Editing

6. Playout Log Editing
You can restrict the user when remote voice tracking by allowing them to either edit the full playout log for the hours they have access to, or only allow them to record voice tracks and adjust their segues. The default can be changed via the Voice Tracking Settings tab.
Top

Disabled

Tick this box to disable the user, preventing them from logging in.
Top

Operations

Click Save to save the changes. Click Cancel to discard the changes. Click Delete the delete the user.
Top


Connect PlayIt Live

This page shows the instructions for how to connect PlayIt Live to PlayIt Manager:
Connect PlayIt Live


Remote Voice Tracking

PlayIt Manager is automatically configured for remote voice tracking to allow users to upload voice tracks from PlayIt VoiceTrack or remote voice track using a web browser. Remote voice tracking users can connect using the PlayIt Manager Server URL using their user Username and Password.
Uploaded audio is stored in the usual Audio Store location.


Remote Studio

PlayIt Manager can be used with PlayIt Live Remote Studio to connect remote presenters to PlayIt Live. When a presenter connects to PlayIt Live Remote Studio via PlayIt Manager, PlayIt Manager will notify connected instances of PlayIt Live. The PlayIt Live instance that is designated at the 'on air' instance will establish a direct real-time connection with the connecting user. Please see the Remote Studio section in the PlayIt Live documentation for more information.
Please note, that if you change a user's permissions while they are logged in via PlayIt Manager, these changes will only take effect when the user logs out and logs back in again.


Settings

General settings, scheduling, licensing, and security settings can be configured from the Settings section.

The contents of Settings

General Settings
Scheduling Settings
Voice Tracking Settings
Licence Settings
Security Settings
Database Clean-up
Loudness Analysis


General Settings

HTTP port number

1. HTTP port number
Configure the HTTP port number used to access the PlayIt Manager web application via a browser. This should only be changed if a different port is required. Once saved, a restart of PlayIt Manager is required for the change to take place.
Top

Track path substitutions

2. Track path substitutions
When PlayIt Live is connected to PlayIt Manager it will be using tracks that have been added to PlayIt Manager. If PlayIt Manager is installed on a different machine to PlayIt Live, the track files added to PlayIt Manager will not be present on the PlayIt Live machine. In order to resolve this problem, PlayIt Manager has track path substitutions which can be configured from this page. These are designed to substitute parts of the file path on the PlayIt Manager server with a file path that can be accessed by the PlayIt Live machine.
In the example above, the path to the audio store C:\ProgramData\PlayIt Manager\AudioStore\ is substituted for \\SERVER\AudioStore$\
This assumes that a network share has been created for the AudioStore folder called AudioStore$
Top

Save button

3. Save button
Save the settings.
Top


Scheduling Settings

The scheduling settings are used to configure the defaults to use for segue type and the segue style for sweepers.
Default track scheduling strategy
The scheduling strategy used when deciding what tracks to select for Track Group clock items or track groups in the Playout Pattern. The options are:
Smart Selection: Selects a track using a weighted random algorithm. A track played longer ago is given a larger weight, increasing its chance of being selected.
Random: Select a track entirely at random from the track group.
Most Rested: Selects the track from the track group that was played longest ago.
Fitting to time
When scheduling up to the end of an hour or a fixed time marker, PlayIt Manager can attempt to fit the scheduled items as close as possible to the target time. For each period between the end of an hour or a fixed time marker, PlayIt Manager will spend up to <seconds per fit> seconds to find a selection of playout log items within <target threshold> seconds of the target time by generating up to <number of attempts> sets of playout log items. Decreasing Target Threshold or increasing Number of Attempts or Seconds Per Fit will increase the time it takes to schedule playout log items.
By default, Target Threshold is set to 30 seconds, Number of Attempts to 25 and Seconds Per Fit to 2 seconds. This means that PlayIt Manager will generate up to 25 combinations of playout log items and pick the first (or best) one that fits within the target threshold.
Note: The Advanced Scheduling module is required to change these parameters.


Voice Tracking Settings

Voice Tracking Settings
You can restrict users when remote voice tracking by allowing them to either edit the full playout log for the hours they have access to, or only allow them to record voice tracks and adjust their segues. This setting can be overridden on a per-user basis.


Licence Settings

Details on licences can be found on the Getting Started Activation page.


Security Settings

It is possible to restrict use of PlayIt Manager from unauthorised personnel. Currently there is only one user (Administrator) with one password.

Direct access password option

1. Direct access password option
If you are accessing PlayIt Manager from the same machine as the application is installed on you may wish to require a password.
Top

Remote access password option

2. Remote access password option
If you are allowing access to PlayIt Manager remotely it is recommended that you check this box. This prevents unauthorised access from users connecting externally.
Top
When attempting to connect to PlayIt Manager when a password is required you will be presented with this screen to enter a password.


Database Clean-up

The Database Clean-up page is used to remove old data such as playout log items, voice tracks and uploaded audio store files. Ophaned files refer to ones that are in the voice track recordings folder or audio store folder but are no longer referenced in tracks or voice track items in the PlayIt Manager database.
Click Start Clean-up to begin the process:
You will be prompted to try a Dry Run of the clean-up so you are aware of what items will be deleted. Select Clean-up Now when you are happy for the changes to happen.


Loudness Analysis

With Loudness Analysis you can analyse your tracks, calculate an offset gain and store this for each track in your database. When a track is played by PlayIt Live, this gain will be applied. This ensures each track has the same loudness when played.
The ITU-R BS.1770 algorithm is used to measure loudness. This is commonly known as LUFS normalisation.
To begin Loudness Analysis, select a Target Loudness (default -16 LUFS) and click Start Loudness Analysis.
PlayIt Manager will run Loudness Analysis in the background as it processes each track. Due to the complexity of the algorithm it can take several hours to process all the tracks. This only needs to be done once. Leave PlayIt Manager running so it is able to process the tracks in the background. Any new tracks that are added will be automatically processed in the background.